Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## crypting
Class ProgramMonitor

    java.lang.Object
      crypting.ProgramMonitor

    public class ProgramMonitor

extends java.lang.Object

Field Summary
`private long` | `actual`
`private java.lang.management.OperatingSystemMXBean` | `bean`
`private long[]` | `CPUList`
`private java.util.ArrayList` | `listCPU`
`private java.util.ArrayList` | `listMemory`
`private java.lang.management.MemoryUsage` | `memory`
`private long` | `startTimeCPU`
`private long` | `startTimeMonitor`
`private long` | `stopTimeCPU`
`private long` | `stopTimeMonitor`
`private long` | `th`
`private long` | `time`
`private java.util.Timer` | `timingCPU`
`private java.util.Timer` | `timingMemory`

Constructor Summary
`ProgramMonitor(long th)`

Method Summary
`void` | `CPUTimeStart(long period)`
`java.util.ArrayList` | `CPUTimeStop()`
`private double` | `getActualCPUTime()`
`protected long` | `getActualMemory()`
`long` | `getActualTime()`
`long` | `getMaximumMemory()`
`void` | `MemoryStart(long period)`
`java.util.ArrayList` | `MemoryStop()`
`void` | `timerSet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startTimeMonitor

    private long startTimeMonitor

### startTimeCPU

    private long startTimeCPU

### stopTimeMonitor

    private long stopTimeMonitor

### stopTimeCPU

    private long stopTimeCPU

### time

    private long time

### actual

    private long actual

### bean

    private java.lang.management.OperatingSystemMXBean bean

### memory

    private java.lang.management.MemoryUsage memory

### listCPU

    private java.util.ArrayList listCPU

### listMemory

    private java.util.ArrayList listMemory

### timingCPU

    private java.util.Timer timingCPU

### timingMemory

    private java.util.Timer timingMemory

### th

    private long th

### CPUList

    private long[] CPUList

Constructor Detail

### ProgramMonitor

    public ProgramMonitor(long th)

Method Detail

### timerSet

    public void timerSet()

### getActualTime

    public long getActualTime()

### getActualMemory

    protected long getActualMemory()

### getActualCPUTime

    private double getActualCPUTime()

### getMaximumMemory

    public long getMaximumMemory()

### CPUTimeStart

    public void CPUTimeStart(long period)
                      throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### CPUTimeStop

    public java.util.ArrayList CPUTimeStop()

### MemoryStart

    public void MemoryStart(long period)

### MemoryStop

    public java.util.ArrayList MemoryStop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD